/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * Debug.java
 *
 * Created on May 22, 2001, 2:12 PM
 */

package com.sun.enterprise.tools.common.util;

import java.io.*;
import java.util.*;

//import org.openide.TopManager;

/**
 *
 * @author  Administrator
 * @version 
 */
public class Debug {

    private static boolean debug_flag =true;
    private static PrintWriter pout = null;
    
    /** Creates new Debug 
    public Debug() {
    }
    
    public static PrintWriter getPrintStream() {
        if(pout == null){
            try {
                //pout = new PrintWriter(System.out, true); //NOI18N
                pout = new PrintWriter(TopManager.getDefault().getStdOut(), true);
            } catch(Exception e) {
                pout = new PrintWriter(System.err, true); //NOI18N
            }
        }
        return pout ;
    }
   
    public static void out(java.lang.String message) {
        if (debug_flag){
            TopManager.getDefault().getStdOut().println(message);
        }
    }
    
    public static void notifyException(java.lang.Exception e) {
        e.printStackTrace();
        TopManager.getDefault().notifyException(e);
    }
    
    public static void println(java.lang.String message) {
        out(message);
    }
    public static void println(java.lang.String message,int svrty) {
        println(message);
    }
     **/
}
